Fetch Orders

Endpoints

Orders

Get orders for a specific risk item

You can get orders for a risk item using its id.

GET https://app.insurehero.io/api/shield/integrations/v1/orders/:riskItemId

Headers

Name
Type
Description

Authorization*

string

Bearer access token

Path Parameters

Name
Type
Description

riskItemId*

string

It can be a risk item id or a uid

Query Parameters

Name
Type
Description

searchBy

id | uid

Field used to search for matching orders. Default is 'id'

Example Response

{
    "data": [
        {
            "id": "f2b3b88f-f702-444f-a3a4-2e36877fd407",
            "channel_id": "fc94d4a1-f834-481d-a6b2-138b823389c8",
            "risk_item_id": "2dcfc870-cea8-4472-8a91-91fdd09da635",
            "customer_id": "d9a63a37-80a8-4963-b171-c0a92b90c44c",
            "customer_data": {
                "id": "d9a63a37-80a8-4963-b171-c0a92b90c44c",
                "dob": null,
                "otp": null,
                "uid": "prueba",
                "email": "[email protected]",
                "phone": "5493865416566",
                "gender": null,
                "address": null,
                "group_id": null,
                "metadata": {},
                "last_name": "Account",
                "channel_id": "fc94d4a1-f834-481d-a6b2-138b823389c8",
                "created_at": "2024-06-20T19:49:33.261088+00:00",
                "deleted_at": null,
                "first_name": "Emanuel Trade",
                "updated_at": "2024-09-19T19:45:11.564+00:00",
                "company_name": null,
                "company_role": null,
                "bank_accounts": null,
                "company_email": null,
                "document_type": null,
                "otp_expires_at": null,
                "company_address": null,
                "document_number": null,
                "company_identifier": null,
                "company_bank_accounts": null
            },
            "status": "",
            "created_at": "2024-12-03T13:06:32.204414+00:00",
            "status_data": {},
            "insurer_taxes": "0",
            "insurer_net_price": "0",
            "insurer_gross_price": "0",
            "total_taxes": "523",
            "total_net_price": "0",
            "total_gross_price": "35235"
        }
    ]
}

Attributes

Order Details

Name
Type
Description

id

uuid

Unique identifier for the order.

channel_id

uuid

Identifier of the channel where the order was placed.

risk_item_id

uuid

Identifier of the associated risk item.

customer_id

uuid

Identifier of the customer who placed the order.

customer_data

object

Detailed information about the customer.

status

string

Current status of the order.

created_at

string

Date and time when the order was created.

status_data

object

Additional status-related metadata.

insurer_taxes

string

Amount of insurer taxes applied to the order.

insurer_net_price

string

Net price from the insurer.

insurer_gross_price

string

Gross price from the insurer.

total_taxes

string

Total amount of taxes applied to the order.

total_net_price

string

Total net price of the order.

total_gross_price

string

Total gross price of the order.

Customer Data

Name
Type
Description

id

uuid

Unique identifier for the customer.

dob

string

Date of birth of the customer.

otp

string

One-time password for authentication.

uid

string

Unique user identifier.

email

string

Customer's email address.

phone

string

Customer's phone number.

gender

string

Gender of the customer.

address

string

Address of the customer.

group_id

uuid

Identifier of the customer's group.

metadata

object

Additional customer metadata.

last_name

string

Last name of the customer.

channel_id

uuid

Identifier of the channel associated with the customer.

created_at

string

Date and time when the customer was created.

deleted_at

string

Date and time when the customer was deleted.

first_name

string

First name of the customer.

updated_at

string

Date and time of the last update.

company_name

string

Name of the company.

company_role

string

Role of the customer in the company.

bank_accounts

object []

List of the customer's bank accounts.

company_email

string

Email of the company.

document_type

string

Type of document provided by the customer.

otp_expires_at

string

Expiration date of the OTP.

company_address

string

Address of the company.

document_number

string

Number of the document provided by the customer.

company_identifier

string

Unique identifier for the company.

company_bank_accounts

object []

List of the company's bank accounts.

To access these resources, please remember to visit the Links and Resources section of the documentation.

Last updated